<h2>Reactivos: Básicos</h2>
<hr>

<div class="row">
  <div class="col">

    <form [formGroup]="myForm" autocomplete="off" (ngSubmit)="onSave()">

      <!-- Campo de producto -->
      <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Producto</label>
        <div class="col-sm-9">

          <input type="text" class="form-control" placeholder="Nombre del producto" formControlName="name">

          <span class="form-text text-danger" *ngIf="isValid('name')">
            {{getFieldError('name')}}
          </span>
          <span class="form-text text-danger"
            *ngIf="myForm.controls['name'].getError('minlength') && myForm.controls['name'].touched">
            Este campo requiere mínimo 3 letras
          </span>
        </div>
      </div>

      <!-- Campo de producto -->
      <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Precio</label>
        <div class="col-sm-9">
          <input type="number" class="form-control" placeholder="Precio del producto" formControlName="price">
          <span *ngIf="isValid('price')" class="form-text text-danger">
            El precio debe de ser 0 o mayor
          </span>
        </div>
      </div>

      <!-- Campo de existencias -->
      <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Existencias</label>
        <div class="col-sm-9">
          <input type="number" class="form-control" placeholder="Existencias del producto" formControlName="inStorage">

          <span class="form-text text-danger">
            Las existencias deben de ser 0 o mayor
          </span>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <button type="submit" class="btn btn-primary float-end">
            Guardar
          </button>
        </div>
      </div>
    </form>
  </div>
</div>

<div class="row">
  <div class="col">

    <span>Valid</span>
    <pre>{{ myForm.valid| json }}</pre>

    <span>Pristine</span>
    <pre>{{ myForm.pristine| json }}</pre>

    <span>Touched</span>
    <pre>{{ myForm.touched| json }}</pre>

    <span>Value</span>
    <pre>{{ myForm.value| json }}</pre>

    <span>Precio</span>
    <pre>{{ myForm.controls['price'].value | json }}</pre>

    <span>Precio - Errors</span>
    <pre>{{ myForm.controls['price'].errors | json }}</pre>

    <span>Producto</span>
    <pre>{{ myForm.controls['name'].value | json }}</pre>

    <span>Producto - Errors</span>
    <pre>{{ myForm.controls['name'].errors | json }}</pre>

    <span>Producto</span>
    <pre>{{ 'objeto' | json }}</pre>
  </div>
</div>